Sections
Get section detail
GET
/
sections
/
{sectionId}
Get section detail
curl --request GET \
--url https://mkk.celebi.me/api/sections/{sectionId}import requests
url = "https://mkk.celebi.me/api/sections/{sectionId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mkk.celebi.me/api/sections/{sectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"sectionId": "<string>",
"name": "<string>",
"sort_order": 123,
"line_item_count": 123,
"document_count": 123,
"fund_count": 123,
"line_items": [
{
"id": 123,
"slug": "<string>",
"name": "<string>",
"sectionId": "<string>",
"sectionName": "<string>",
"section": "<string>",
"unit": "<string>",
"kind": "<string>",
"value_count": 123,
"fund_count": 123,
"document_count": 123,
"values": [
{
"id": 123,
"document_id": 123,
"disclosure_index": "<string>",
"file_name": "<string>",
"fund_code": "<string>",
"fund_title": "<string>",
"period": "<string>",
"line_item_id": 123,
"line_item_slug": "<string>",
"line_item_name": "<string>",
"sectionId": "<string>",
"sectionName": "<string>",
"canonical_section": "<string>",
"kind": "<string>",
"raw_section": "<string>",
"raw_label": "<string>",
"value": "<string>",
"numeric_value": 123,
"unit": "<string>",
"source": "<string>",
"mapping_method": "<string>",
"mapping_confidence": 123
}
]
}
]
}{
"error": "<string>",
"routes": [
"<string>"
]
}Path Parameters
Canonical section slug.
Query Parameters
Filter by fund code.
Filter by fund code.
Include nested values. Truthy values: 1, true, yes, on.
⌘I
Get section detail
